## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.7

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XPathExecutionContext::ContextNodeListPushAndPop Class Reference

`#include <XPathExecutionContext.hpp>`

Collaboration diagram for XPathExecutionContext::ContextNodeListPushAndPop:

List of all members.

## Public Methods

- ContextNodeListPushAndPop ( XPathExecutionContext& theExecutionContext, const NodeRefListBase& theNodeList)
- ~ContextNodeListPushAndPop ()

## Constructor & Destructor Documentation

XPathExecutionContext::ContextNodeListPushAndPop::ContextNodeListPushAndPop ( | XPathExecutionContext & theExecutionContext,
| const NodeRefListBase & theNodeList )

XPathExecutionContext::ContextNodeListPushAndPop::~ContextNodeListPushAndPop ( | )`[]`

The documentation for this class was generated from the following file:

- XPathExecutionContext.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.7 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.